<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.CountyInteractiveColumnsMapper">
    
    <resultMap type="CountyInteractiveColumns" id="CountyInteractiveColumnsResult">
    	<id     property="id"      column="id"      />
        <result property="countyName"    column="county_name"    />
        <result property="countyReply"     column="county_reply"     />
        <result property="countyLeaveCount"     column="county_leave_count"     />
        <result property="countyReplyCount"     column="county_reply_count"     />
    </resultMap>
    
    <sql id="selectCountyInteractiveColumnsVo">
        select id, county_name, county_reply, county_leave_count, county_reply_count from sooka_countyinteractive_columns
    </sql>

    <select id="selectCountyInteractiveColumnsList" parameterType="CountyInteractiveColumns" resultMap="CountyInteractiveColumnsResult">
        <include refid="selectCountyInteractiveColumnsVo"/>
    </select>

	<delete id="deleteCountyInteractiveColumnsAll" parameterType="Long">
		delete from sooka_countyinteractive_columns
	</delete>

	<insert id="insertBatch">
		insert into sooka_countyinteractive_columns (county_name, county_reply, county_leave_count, county_reply_count) values
		<foreach item="item" collection="list" separator=",">
			(#{item.countyName},#{item.countyReply},#{item.countyLeaveCount},#{item.countyReplyCount})
		</foreach>
	</insert>


</mapper>